
%global meadversion 6
%global namedversion 6.redhat-1
%global meadalpha .redhat_1
%global meadrel .3
%global serial 9

%bcond_without mead
%define namedreltag %(echo %{meadalpha} | sed 's|_|-|' | sed 's|.|-|')

%global projectversion 6
%global httpcoreversion 4.2.1
%global httpclientversion 4.2.1
%global httpasyncclientversion 4.0

%global projectnamedversion %{projectversion}%{?namedreltag}
%global httpcorenamedversion %{httpcoreversion}%{?namedreltag}
%global httpclientnamedversion %{httpclientversion}%{?namedreltag}

%global httpasyncclientreltag .beta1
%global httpasyncclientrelease %{serial}%{?httpasyncclientreltag}%{meadalpha}%{meadrel}%{?dist}
%global httpasyncclientnamedreltag -beta1
%global httpasyncclientnamedversion %{httpasyncclientversion}%{?httpasyncclientnamedreltag}%{?namedreltag}

%define maven_version 6-redhat-1

Name:           httpcomponents
Version:        %{meadversion}
Release:        %{serial}%{meadalpha}%{meadrel}%{?dist}
Epoch:          0
Summary:        Components to build HTTP enabled services
License:        ASL 2.0
Group:          Development/Java

%if %with mead
Source100: org.apache.httpcomponents-project-6-redhat-1-sources.zip
Source101: org.apache.httpcomponents-project-6-redhat-1-patches.zip
Source102: fluent-hc-4.2.1-redhat-1-javadoc.jar
Source103: fluent-hc-4.2.1-redhat-1.pom
Source104: fluent-hc-4.2.1-redhat-1-site.xml
Source105: fluent-hc-4.2.1-redhat-1.jar
Source106: fluent-hc-4.2.1-redhat-1-sources.jar
Source107: httpclient-osgi-4.2.1-redhat-1-sources.jar
Source108: httpclient-osgi-4.2.1-redhat-1.jar
Source109: httpclient-osgi-4.2.1-redhat-1.pom
Source110: httpcore-ab-4.2.1-redhat-1-javadoc.jar
Source111: httpcore-ab-4.2.1-redhat-1-sources.jar
Source112: httpcore-ab-4.2.1-redhat-1.jar
Source113: httpcore-ab-4.2.1-redhat-1.pom
Source114: httpcomponents-core-4.2.1-redhat-1-site.xml
Source115: httpcomponents-core-4.2.1-redhat-1.pom
Source116: httpasyncclient-4.0-beta1-redhat-1.pom
Source117: httpasyncclient-4.0-beta1-redhat-1-sources.jar
Source118: httpasyncclient-4.0-beta1-redhat-1-site.xml
Source119: httpasyncclient-4.0-beta1-redhat-1-javadoc.jar
Source120: httpasyncclient-4.0-beta1-redhat-1.jar
Source121: httpclient-4.2.1-redhat-1-sources.jar
Source122: httpclient-4.2.1-redhat-1-javadoc.jar
Source123: httpclient-4.2.1-redhat-1.pom
Source124: httpclient-4.2.1-redhat-1-site.xml
Source125: httpclient-4.2.1-redhat-1.jar
Source126: httpclient-4.2.1-redhat-1-tests.jar
Source127: httpcore-nio-4.2.1-redhat-1-javadoc.jar
Source128: httpcore-nio-4.2.1-redhat-1.pom
Source129: httpcore-nio-4.2.1-redhat-1-sources.jar
Source130: httpcore-nio-4.2.1-redhat-1-site.xml
Source131: httpcore-nio-4.2.1-redhat-1.jar
Source132: httpcomponents-client-4.2.1-redhat-1.pom
Source133: httpcomponents-client-4.2.1-redhat-1-site.xml
Source134: httpcore-4.2.1-redhat-1.jar
Source135: httpcore-4.2.1-redhat-1.pom
Source136: httpcore-4.2.1-redhat-1-javadoc.jar
Source137: httpcore-4.2.1-redhat-1-sources.jar
Source138: httpcore-4.2.1-redhat-1-site.xml
Source139: httpasyncclient-osgi-4.0-beta1-redhat-1-sources.jar
Source140: httpasyncclient-osgi-4.0-beta1-redhat-1.jar
Source141: httpasyncclient-osgi-4.0-beta1-redhat-1.pom
Source142: httpmime-4.2.1-redhat-1-site.xml
Source143: httpmime-4.2.1-redhat-1.pom
Source144: httpmime-4.2.1-redhat-1-sources.jar
Source145: httpmime-4.2.1-redhat-1-javadoc.jar
Source146: httpmime-4.2.1-redhat-1.jar
Source147: httpcore-osgi-4.2.1-redhat-1.pom
Source148: httpcore-osgi-4.2.1-redhat-1-sources.jar
Source149: httpcore-osgi-4.2.1-redhat-1.jar
Source150: httpcomponents-asyncclient-4.0-beta1-redhat-1-site.xml
Source151: httpcomponents-asyncclient-4.0-beta1-redhat-1.pom
Source152: httpclient-cache-4.2.1-redhat-1.jar
Source153: httpclient-cache-4.2.1-redhat-1-javadoc.jar
Source154: httpclient-cache-4.2.1-redhat-1.pom
Source155: httpclient-cache-4.2.1-redhat-1-sources.jar
Source156: httpclient-cache-4.2.1-redhat-1-site.xml
Source157: project-6-redhat-1-javadoc.jar
Source158: project-6-redhat-1-site.xml
Source159: project-6-redhat-1.pom
%endif

URL:            http://hc.apache.org/
BuildArch:      noarch
BuildRoot:      %{_tmppath}/%{name}-%{namedversion}-%{release}-root

%description
The Hyper-Text Transfer Protocol (HTTP) is perhaps the most significant protocol
used on the Internet today. Web services, network-enabled appliances and the
growth of network computing continue to expand the role of the HTTP protocol
beyond user-driven web browsers, while increasing the number of applications
that require HTTP support.

Designed for extension while providing robust support for the base HTTP
protocol, the HttpComponents may be of interest to anyone building HTTP-aware
client and server applications such as web browsers, web spiders, HTTP proxies,
web service transport libraries, or systems that leverage or extend the HTTP
protocol for distributed communication.

%package project
Version:        %{projectversion}
Summary:        HttpComponents
Group:          Development/Java

Obsoletes:      hc-project < %{epoch}:%{projectversion}-%{release}
Provides:       hc-project = %{epoch}:%{projectversion}-%{release}
Requires(post): jpackage-utils
Requires(postun): jpackage-utils
Requires:       jpackage-utils
BuildRequires:  jpackage-utils

%description project
Components to build HTTP enabled services.

%package -n httpcomponents-core
Version:        %{httpcoreversion}
Summary:        HttpComponents Core
Group:          Development/Java

Obsoletes:      jakarta-httpcore < %{epoch}:%{httpcoreversion}-%{release}
Provides:       jakarta-httpcore = %{epoch}:%{httpcoreversion}-%{release}
Obsoletes:      hc-httpcore < %{epoch}:%{httpcoreversion}-%{release}
Provides:       hc-httpcore = %{epoch}:%{httpcoreversion}-%{release}
Requires(post): jpackage-utils
Requires(postun): jpackage-utils
Requires:       jpackage-utils
BuildRequires:  jpackage-utils
Requires:       %{name}-project = %{epoch}:%{projectversion}-%{release}

%description -n httpcomponents-core
Core components to build HTTP enabled services.

%package -n httpcore
Version:        %{httpcoreversion}
Summary:        HttpCore
Group:          Development/Java

Obsoletes:      %{name}-httpcore < %{epoch}:%{httpcoreversion}-%{release}
Provides:       %{name}-httpcore = %{epoch}:%{httpcoreversion}-%{release}
Requires(post): jpackage-utils
Requires(postun): jpackage-utils
Requires:       jpackage-utils
BuildRequires:  jpackage-utils
Requires:       httpcomponents-core = %{epoch}:%{httpcoreversion}-%{release}

%description -n httpcore
HttpComponents Core (blocking I/O).

%package -n httpcore-ab
Version:        %{httpclientversion}
Summary:        HttpCore AB clone
Group:          Development/Java

Requires(post): jpackage-utils
Requires(postun): jpackage-utils
Requires:       jpackage-utils
BuildRequires:  jpackage-utils
Requires:       httpcomponents-core = %{epoch}:%{httpcoreversion}-%{release}
Requires:       httpcore = %{epoch}:%{httpcoreversion}-%{release}
# FIXME: Requires commons-cli:commons-cli:1.2

%description -n httpcore-ab
AB clone based on HttpCore.

%package -n httpcore-nio
Version:        %{httpclientversion}
Summary:        HttpCore NIO
Group:          Development/Java

Requires(post): jpackage-utils
Requires(postun): jpackage-utils
Requires:       jpackage-utils
BuildRequires:  jpackage-utils
Requires:       httpcomponents-core = %{epoch}:%{httpcoreversion}-%{release}
Requires:       httpcore = %{epoch}:%{httpcoreversion}-%{release}

%description -n httpcore-nio
HttpComponents Core (non-blocking I/O).

%package -n httpcore-osgi
Version:        %{httpclientversion}
Summary:        HttpCore OSGi bundle
Group:          Development/Java

Requires(post): jpackage-utils
Requires(postun): jpackage-utils
Requires:       jpackage-utils
BuildRequires:  jpackage-utils
Requires:       httpcomponents-core = %{epoch}:%{httpcoreversion}-%{release}
Requires:       httpcore = %{epoch}:%{httpcoreversion}-%{release}
Requires:       httpcore-nio = %{epoch}:%{httpcoreversion}-%{release}

%description -n httpcore-osgi
HttpComponents Core (OSGi bundle).

%package -n httpcomponents-client
Version:        %{httpclientversion}
Summary:        HttpComponents Client
Group:          Development/Java

Requires(post): jpackage-utils
Requires(postun): jpackage-utils
Requires:       jpackage-utils
BuildRequires:  jpackage-utils
Requires:       %{name}-project = %{epoch}:%{projectversion}-%{release}

%description -n httpcomponents-client
Apache HttpComponents Client is a library of components for building client side
HTTP services.

%package -n httpclient
Version:        %{httpclientversion}
Summary:        HttpClient
Group:          Development/Java

Obsoletes:      hc-httpclient < %{epoch}:%{httpclientversion}-%{release}
Provides:       hc-httpclient = %{epoch}:%{httpclientversion}-%{release}
Obsoletes:      %{name}-httpclient < %{epoch}:%{httpclientversion}-%{release}
Provides:       %{name}-httpclient = %{epoch}:%{httpclientversion}-%{release}
Requires(post): jpackage-utils
Requires(postun): jpackage-utils
Requires:       jpackage-utils
BuildRequires:  jpackage-utils
Requires:       %{name}-client = %{epoch}:%{httpclientversion}-%{release}
Requires:       httpcore = %{epoch}:%{httpcoreversion}-%{release}
# FIXME: Requires commons-codec:commons-codec:1.6
# FIXME: Requires commons-logging:commons-logging:1.1.1

%description -n httpclient
HttpComponents Client (base module).

%package -n httpclient-cache
Version:        %{httpclientversion}
Summary:        HttpClient Cache
Group:          Development/Java

Requires(post): jpackage-utils
Requires(postun): jpackage-utils
Requires:       jpackage-utils
BuildRequires:  jpackage-utils
Requires:       httpcomponents-client = %{epoch}:%{httpclientversion}-%{release}
Requires:       httpclient = %{epoch}:%{httpclientversion}-%{release}
# FIXME: Requires commons-logging:commons-logging:1.1.1

%description -n httpclient-cache
HttpComponents HttpClient - Cache.

%package -n httpclient-osgi
Version:        %{httpclientversion}
Summary:        HttpClient OSGi bundle
Group:          Development/Java

Requires(post): jpackage-utils
Requires(postun): jpackage-utils
Requires:       jpackage-utils
BuildRequires:  jpackage-utils
Requires:       httpcomponents-client = %{epoch}:%{httpclientversion}-%{release}
Requires:       httpclient = %{epoch}:%{httpclientversion}-%{release}
# FIXME: Requires commons-codec:commons-codec:1.6
Requires:       httpmime = %{epoch}:%{httpcoreversion}-%{release}
Requires:       httpclient-cache = %{epoch}:%{httpclientversion}-%{release}
Requires:       fluent-hc = %{epoch}:%{httpclientversion}-%{release}

%description -n httpclient-osgi
HttpComponents Client (OSGi bundle).

%package -n httpclient-tests
Version:        %{httpclientversion}
Summary:        HttpClient tests
Group:          Development/Java

Requires(post): jpackage-utils
Requires(postun): jpackage-utils
Requires:       jpackage-utils
BuildRequires:  jpackage-utils
Requires:       httpcomponents-client = %{epoch}:%{httpclientversion}-%{release}
Requires:       httpclient = %{epoch}:%{httpclientversion}-%{release}

%description -n httpclient-tests
HttpClient tests.

%package -n fluent-hc
Version:        %{httpclientversion}
Summary:        Fluent HttpClient
Group:          Development/Java

Requires(post): jpackage-utils
Requires(postun): jpackage-utils
Requires:       jpackage-utils
BuildRequires:  jpackage-utils
Requires:       httpcomponents-client = %{epoch}:%{httpclientversion}-%{release}
Requires:       httpclient = %{epoch}:%{httpclientversion}-%{release}
# FIXME: Requires commons-logging:commons-logging:1.1.1

%description -n fluent-hc
HttpComponents Client fluent API.

%package -n httpmime
Summary:        HttpMime
Version:        %{httpclientversion}
Group:          Development/Java

Obsoletes:      %{name}-httpmime < %{epoch}:%{httpcoreversion}-%{release}
Provides:       %{name}-httpmime = %{epoch}:%{httpcoreversion}-%{release}
Requires(post): jpackage-utils
Requires(postun): jpackage-utils
Requires:       jpackage-utils
BuildRequires:  jpackage-utils
Requires:       httpcomponents-client = %{epoch}:%{httpclientversion}-%{release}
Requires:       httpcore = %{epoch}:%{httpcoreversion}-%{release}

%description -n httpmime
HttpComponents HttpClient - MIME coded entities.

%package -n httpcomponents-asyncclient
Version:        %{httpasyncclientversion}
Release:        %{httpasyncclientrelease}
Summary:        HttpComponents AsyncClient
Group:          Development/Java

Requires(post): jpackage-utils
Requires(postun): jpackage-utils
Requires:       jpackage-utils
BuildRequires:  jpackage-utils
Requires:       %{name}-project = %{epoch}:%{projectversion}-%{release}

%description -n httpcomponents-asyncclient
Components to build asynchronous client side HTTP services.

%package -n httpasyncclient
Version:        %{httpasyncclientversion}
Release:        %{httpasyncclientrelease}
Summary:        HttpAsyncClient
Group:          Development/Java

Requires(post): jpackage-utils
Requires(postun): jpackage-utils
Requires:       jpackage-utils
BuildRequires:  jpackage-utils
# XXX: 4.0-beta1
Requires:       httpcomponents-asyncclient = %{epoch}:%{httpasyncclientversion}-%{httpasyncclientrelease}
Requires:       httpcore = %{epoch}:%{httpcoreversion}-%{release}
Requires:       httpcore-nio = %{epoch}:%{httpcoreversion}-%{release}
Requires:       httpclient = %{epoch}:%{httpclientversion}-%{release}
# FIXME: Requires commons-logging:commons-logging:1.1.1

%description -n httpasyncclient
HttpComponents AsyncClient (base module).

%package -n httpasyncclient-osgi
Version:        %{httpasyncclientversion}
Release:        %{httpasyncclientrelease}
Summary:        HttpAsyncClient OSGi bundle
Group:          Development/Java

Requires(post): jpackage-utils
Requires(postun): jpackage-utils
Requires:       jpackage-utils
BuildRequires:  jpackage-utils
# XXX: 4.0-beta1
Requires:       httpcomponents-asyncclient = %{epoch}:%{httpasyncclientversion}-%{httpasyncclientrelease}
Requires:       httpasyncclient = %{epoch}:%{httpasyncclientversion}-%{httpasyncclientrelease}

%description -n httpasyncclient-osgi
HttpComponents AsyncClient (OSGi bundle).

%package javadoc
Summary:        Javadoc for %{name}
Group:          Development/Documentation

Requires:       jpackage-utils
BuildRequires:  jpackage-utils

%description javadoc
%{summary}.

%prep
%setup -q -n project -T -b 100

%build

%install
%{__rm} -rf %{buildroot}

# jars
%{__mkdir_p} %{buildroot}%{_javadir}
%{__cp} -p %{_sourcedir}/project-%{projectnamedversion}-site.xml %{buildroot}%{_javadir}/%{name}-project-%{projectnamedversion}-site.xml
%{__cp} -p %{_sourcedir}/httpcomponents-core-%{httpcorenamedversion}-site.xml %{buildroot}%{_javadir}/httpcomponents-core-%{httpcorenamedversion}-site.xml
%{__cp} -p %{_sourcedir}/httpcore-%{httpcorenamedversion}.jar %{buildroot}%{_javadir}/httpcore-%{httpcorenamedversion}.jar
%{__cp} -p %{_sourcedir}/httpcore-%{httpcorenamedversion}-javadoc.jar %{buildroot}%{_javadir}/httpcore-%{httpcorenamedversion}-javadoc.jar
%{__cp} -p %{_sourcedir}/httpcore-%{httpcorenamedversion}-sources.jar %{buildroot}%{_javadir}/httpcore-%{httpcorenamedversion}-sources.jar
%{__cp} -p %{_sourcedir}/httpcore-%{httpcorenamedversion}-site.xml %{buildroot}%{_javadir}/httpcore-%{httpcorenamedversion}-site.xml
%{__cp} -p %{_sourcedir}/httpcore-ab-%{httpcorenamedversion}.jar %{buildroot}%{_javadir}/httpcore-ab-%{httpcorenamedversion}.jar
%{__cp} -p %{_sourcedir}/httpcore-ab-%{httpcorenamedversion}-javadoc.jar %{buildroot}%{_javadir}/httpcore-ab-%{httpcorenamedversion}-javadoc.jar
%{__cp} -p %{_sourcedir}/httpcore-ab-%{httpcorenamedversion}-sources.jar %{buildroot}%{_javadir}/httpcore-ab-%{httpcorenamedversion}-sources.jar
%{__cp} -p %{_sourcedir}/httpcore-nio-%{httpcorenamedversion}.jar %{buildroot}%{_javadir}/httpcore-nio-%{httpcorenamedversion}.jar
%{__cp} -p %{_sourcedir}/httpcore-nio-%{httpcorenamedversion}-javadoc.jar %{buildroot}%{_javadir}/httpcore-nio-%{httpcorenamedversion}-javadoc.jar
%{__cp} -p %{_sourcedir}/httpcore-nio-%{httpcorenamedversion}-sources.jar %{buildroot}%{_javadir}/httpcore-nio-%{httpcorenamedversion}-sources.jar
%{__cp} -p %{_sourcedir}/httpcore-nio-%{httpcorenamedversion}-site.xml %{buildroot}%{_javadir}/httpcore-nio-%{httpcorenamedversion}-site.xml
%{__cp} -p %{_sourcedir}/httpcore-osgi-%{httpcorenamedversion}.jar %{buildroot}%{_javadir}/httpcore-osgi-%{httpcorenamedversion}.jar
%{__cp} -p %{_sourcedir}/httpcore-osgi-%{httpcorenamedversion}-sources.jar %{buildroot}%{_javadir}/httpcore-osgi-%{httpcorenamedversion}-sources.jar
%{__cp} -p %{_sourcedir}/httpcomponents-client-%{httpclientnamedversion}-site.xml %{buildroot}%{_javadir}/httpcomponents-client-%{httpclientnamedversion}-site.xml
%{__cp} -p %{_sourcedir}/httpclient-%{httpclientnamedversion}.jar %{buildroot}%{_javadir}/httpclient-%{httpclientnamedversion}.jar
%{__cp} -p %{_sourcedir}/httpclient-%{httpclientnamedversion}-javadoc.jar %{buildroot}%{_javadir}/httpclient-%{httpclientnamedversion}-javadoc.jar
%{__cp} -p %{_sourcedir}/httpclient-%{httpclientnamedversion}-sources.jar %{buildroot}%{_javadir}/httpclient-%{httpclientnamedversion}-sources.jar
%{__cp} -p %{_sourcedir}/httpclient-%{httpclientnamedversion}-site.xml %{buildroot}%{_javadir}/httpclient-%{httpclientnamedversion}-site.xml
%{__cp} -p %{_sourcedir}/httpclient-%{httpclientnamedversion}-tests.jar %{buildroot}%{_javadir}/httpclient-%{httpclientnamedversion}-tests.jar
%{__cp} -p %{_sourcedir}/httpclient-cache-%{httpclientnamedversion}.jar %{buildroot}%{_javadir}/httpclient-cache-%{httpclientnamedversion}.jar
%{__cp} -p %{_sourcedir}/httpclient-cache-%{httpclientnamedversion}-javadoc.jar %{buildroot}%{_javadir}/httpclient-cache-%{httpclientnamedversion}-javadoc.jar
%{__cp} -p %{_sourcedir}/httpclient-cache-%{httpclientnamedversion}-sources.jar %{buildroot}%{_javadir}/httpclient-cache-%{httpclientnamedversion}-sources.jar
%{__cp} -p %{_sourcedir}/httpclient-cache-%{httpclientnamedversion}-site.xml %{buildroot}%{_javadir}/httpclient-cache-%{httpclientnamedversion}-site.xml
%{__cp} -p %{_sourcedir}/httpclient-osgi-%{httpclientnamedversion}.jar %{buildroot}%{_javadir}/httpclient-osgi-%{httpclientnamedversion}.jar
%{__cp} -p %{_sourcedir}/httpclient-osgi-%{httpclientnamedversion}-sources.jar %{buildroot}%{_javadir}/httpclient-osgi-%{httpclientnamedversion}-sources.jar
%{__cp} -p %{_sourcedir}/fluent-hc-%{httpclientnamedversion}.jar %{buildroot}%{_javadir}/fluent-hc-%{httpclientnamedversion}.jar
%{__cp} -p %{_sourcedir}/fluent-hc-%{httpclientnamedversion}-javadoc.jar %{buildroot}%{_javadir}/fluent-hc-%{httpclientnamedversion}-javadoc.jar
%{__cp} -p %{_sourcedir}/fluent-hc-%{httpclientnamedversion}-sources.jar %{buildroot}%{_javadir}/fluent-hc-%{httpclientnamedversion}-sources.jar
%{__cp} -p %{_sourcedir}/fluent-hc-%{httpclientnamedversion}-site.xml %{buildroot}%{_javadir}/fluent-hc-%{httpclientnamedversion}-site.xml
%{__cp} -p %{_sourcedir}/httpmime-%{httpclientnamedversion}.jar %{buildroot}%{_javadir}/httpmime-%{httpclientnamedversion}.jar
%{__cp} -p %{_sourcedir}/httpmime-%{httpclientnamedversion}-javadoc.jar %{buildroot}%{_javadir}/httpmime-%{httpclientnamedversion}-javadoc.jar
%{__cp} -p %{_sourcedir}/httpmime-%{httpclientnamedversion}-sources.jar %{buildroot}%{_javadir}/httpmime-%{httpclientnamedversion}-sources.jar
%{__cp} -p %{_sourcedir}/httpmime-%{httpclientnamedversion}-site.xml %{buildroot}%{_javadir}/httpmime-%{httpclientnamedversion}-site.xml
%{__cp} -p %{_sourcedir}/httpmime-%{httpclientnamedversion}-site.xml %{buildroot}%{_javadir}/httpmime-%{httpclientnamedversion}-site.xml
%{__cp} -p %{_sourcedir}/httpcomponents-asyncclient-%{httpasyncclientnamedversion}-site.xml %{buildroot}%{_javadir}/httpcomponents-asyncclient-%{httpasyncclientnamedversion}-site.xml
%{__cp} -p %{_sourcedir}/httpasyncclient-%{httpasyncclientnamedversion}.jar %{buildroot}%{_javadir}/httpasyncclient-%{httpasyncclientnamedversion}.jar
%{__cp} -p %{_sourcedir}/httpasyncclient-%{httpasyncclientnamedversion}-javadoc.jar %{buildroot}%{_javadir}/httpasyncclient-%{httpasyncclientnamedversion}-javadoc.jar
%{__cp} -p %{_sourcedir}/httpasyncclient-%{httpasyncclientnamedversion}-sources.jar %{buildroot}%{_javadir}/httpasyncclient-%{httpasyncclientnamedversion}-sources.jar
%{__cp} -p %{_sourcedir}/httpasyncclient-%{httpasyncclientnamedversion}-site.xml %{buildroot}%{_javadir}/httpasyncclient-%{httpasyncclientnamedversion}-site.xml
%{__cp} -p %{_sourcedir}/httpasyncclient-osgi-%{httpasyncclientnamedversion}.jar %{buildroot}%{_javadir}/httpasyncclient-osgi-%{httpasyncclientnamedversion}.jar
%{__cp} -p %{_sourcedir}/httpasyncclient-osgi-%{httpasyncclientnamedversion}-sources.jar %{buildroot}%{_javadir}/httpasyncclient-osgi-%{httpasyncclientnamedversion}-sources.jar
(cd %{buildroot}%{_javadir} && for jar in *-%{projectnamedversion}*; do %{__ln_s} ${jar} `/bin/echo ${jar} | %{__sed} -e "s|-%{projectnamedversion}||g"`; done)
(cd %{buildroot}%{_javadir} && for jar in *-%{httpcorenamedversion}*; do %{__ln_s} ${jar} `/bin/echo ${jar} | %{__sed} -e "s|-%{httpcorenamedversion}||g"`; done)
[ "%{httpcorenamedversion}" = "%{httpclientnamedversion}" ] || (cd %{buildroot}%{_javadir} && for jar in *-%{httpclientnamedversion}*; do %{__ln_s} ${jar} `/bin/echo ${jar} | %{__sed} -e "s|-%{httpclientnamedversion}||g"`; done)
[ "%{httpcorenamedversion}" = "%{httpasyncclientnamedversion}" ] || (cd %{buildroot}%{_javadir} && for jar in *-%{httpasyncclientnamedversion}*; do %{__ln_s} ${jar} `/bin/echo ${jar} | %{__sed} -e "s|-%{httpasyncclientnamedversion}||g"`; done)

# poms
%{__mkdir_p} %{buildroot}%{_mavenpomdir}
%{__cp} -p %{_sourcedir}/project-%{projectnamedversion}.pom %{buildroot}%{_mavenpomdir}/JPP-%{name}-project.pom
%{__cp} -p %{_sourcedir}/httpcomponents-core-%{httpcorenamedversion}.pom %{buildroot}%{_mavenpomdir}/JPP-httpcomponents-core.pom
%{__cp} -p %{_sourcedir}/httpcore-%{httpcorenamedversion}.pom %{buildroot}%{_mavenpomdir}/JPP-httpcore.pom
%{__cp} -p %{_sourcedir}/httpcore-ab-%{httpcorenamedversion}.pom %{buildroot}%{_mavenpomdir}/JPP-httpcore-ab.pom
%{__cp} -p %{_sourcedir}/httpcore-nio-%{httpcorenamedversion}.pom %{buildroot}%{_mavenpomdir}/JPP-httpcore-nio.pom
%{__cp} -p %{_sourcedir}/httpcore-osgi-%{httpcorenamedversion}.pom %{buildroot}%{_mavenpomdir}/JPP-httpcore-osgi.pom
%{__cp} -p %{_sourcedir}/httpcomponents-client-%{httpclientnamedversion}.pom %{buildroot}%{_mavenpomdir}/JPP-httpcomponents-client.pom
%{__cp} -p %{_sourcedir}/httpclient-%{httpclientnamedversion}.pom %{buildroot}%{_mavenpomdir}/JPP-httpclient.pom
%{__cp} -p %{_sourcedir}/httpclient-cache-%{httpclientnamedversion}.pom %{buildroot}%{_mavenpomdir}/JPP-httpclient-cache.pom
%{__cp} -p %{_sourcedir}/httpclient-osgi-%{httpclientnamedversion}.pom %{buildroot}%{_mavenpomdir}/JPP-httpclient-osgi.pom
%{__cp} -p %{_sourcedir}/fluent-hc-%{httpclientnamedversion}.pom %{buildroot}%{_mavenpomdir}/JPP-fluent-hc.pom
%{__cp} -p %{_sourcedir}/httpmime-%{httpclientnamedversion}.pom %{buildroot}%{_mavenpomdir}/JPP-httpmime.pom
%{__cp} -p %{_sourcedir}/httpcomponents-asyncclient-%{httpasyncclientnamedversion}.pom %{buildroot}%{_mavenpomdir}/JPP-httpcomponents-asyncclient.pom
%{__cp} -p %{_sourcedir}/httpasyncclient-%{httpasyncclientnamedversion}.pom %{buildroot}%{_mavenpomdir}/JPP-httpasyncclient.pom
%{__cp} -p %{_sourcedir}/httpasyncclient-osgi-%{httpasyncclientnamedversion}.pom %{buildroot}%{_mavenpomdir}/JPP-httpasyncclient-osgi.pom

# depmaps
%add_to_maven_depmap org.apache.httpcomponents project %{projectnamedversion} JPP %{name}-project
%{__mv} %{buildroot}%{_mavendepmapfragdir}/%{name} %{buildroot}%{_mavendepmapfragdir}/%{name}-project
%add_to_maven_depmap org.apache.httpcomponents httpcomponents-core %{httpcorenamedversion} JPP httpcomponents-core
%{__mv} %{buildroot}%{_mavendepmapfragdir}/%{name} %{buildroot}%{_mavendepmapfragdir}/httpcomponents-core
%add_to_maven_depmap org.apache.httpcomponents httpcore %{httpcorenamedversion} JPP httpcore
%{__mv} %{buildroot}%{_mavendepmapfragdir}/%{name} %{buildroot}%{_mavendepmapfragdir}/httpcore
%add_to_maven_depmap org.apache.httpcomponents httpcore-ab %{httpcorenamedversion} JPP httpcore-ab
%{__mv} %{buildroot}%{_mavendepmapfragdir}/%{name} %{buildroot}%{_mavendepmapfragdir}/httpcore-ab
%add_to_maven_depmap org.apache.httpcomponents httpcore-nio %{httpcorenamedversion} JPP httpcore-nio
%{__mv} %{buildroot}%{_mavendepmapfragdir}/%{name} %{buildroot}%{_mavendepmapfragdir}/httpcore-nio
%add_to_maven_depmap org.apache.httpcomponents httpcore-osgi %{httpcorenamedversion} JPP httpcore-osgi
%{__mv} %{buildroot}%{_mavendepmapfragdir}/%{name} %{buildroot}%{_mavendepmapfragdir}/httpcore-osgi
%add_to_maven_depmap org.apache.httpcomponents httpcomponents-client %{httpclientnamedversion} JPP httpcomponents-client
%{__mv} %{buildroot}%{_mavendepmapfragdir}/%{name} %{buildroot}%{_mavendepmapfragdir}/httpcomponents-client
%add_to_maven_depmap org.apache.httpcomponents httpclient %{httpclientnamedversion} JPP httpclient
%{__mv} %{buildroot}%{_mavendepmapfragdir}/%{name} %{buildroot}%{_mavendepmapfragdir}/httpclient
%add_to_maven_depmap org.apache.httpcomponents httpclient-cache %{httpclientnamedversion} JPP httpclient-cache
%{__mv} %{buildroot}%{_mavendepmapfragdir}/%{name} %{buildroot}%{_mavendepmapfragdir}/httpclient-cache
%add_to_maven_depmap org.apache.httpcomponents httpclient-osgi %{httpclientnamedversion} JPP httpclient-osgi
%{__mv} %{buildroot}%{_mavendepmapfragdir}/%{name} %{buildroot}%{_mavendepmapfragdir}/httpclient-osgi
%add_to_maven_depmap org.apache.httpcomponents fluent-hc %{httpclientnamedversion} JPP fluent-hc
%{__mv} %{buildroot}%{_mavendepmapfragdir}/%{name} %{buildroot}%{_mavendepmapfragdir}/fluent-hc
%add_to_maven_depmap org.apache.httpcomponents httpmime %{httpclientnamedversion} JPP httpmime
%{__mv} %{buildroot}%{_mavendepmapfragdir}/%{name} %{buildroot}%{_mavendepmapfragdir}/httpmime
%add_to_maven_depmap org.apache.httpcomponents httpcomponents-asyncclient %{httpasyncclientnamedversion} JPP httpcomponents-asyncclient
%{__mv} %{buildroot}%{_mavendepmapfragdir}/%{name} %{buildroot}%{_mavendepmapfragdir}/httpcomponents-asyncclient
%add_to_maven_depmap org.apache.httpcomponents httpasyncclient %{httpasyncclientnamedversion} JPP httpasyncclient
%{__mv} %{buildroot}%{_mavendepmapfragdir}/%{name} %{buildroot}%{_mavendepmapfragdir}/httpasyncclient
%add_to_maven_depmap org.apache.httpcomponents httpasyncclient-osgi %{httpasyncclientnamedversion} JPP httpasyncclient-osgi
%{__mv} %{buildroot}%{_mavendepmapfragdir}/%{name} %{buildroot}%{_mavendepmapfragdir}/httpasyncclient-osgi

# javadoc
%{__mkdir_p} %{buildroot}%{_javadocdir}/%{name}-%{projectnamedversion}
%{__unzip} -qq %{_sourcedir}/project-%{projectnamedversion}-javadoc.jar -d %{buildroot}%{_javadocdir}/%{name}-%{projectnamedversion}
%{__rm} -r %{buildroot}%{_javadocdir}/%{name}-%{projectnamedversion}/META-INF
%{__ln_s} %{name}-%{projectnamedversion} %{buildroot}%{_javadocdir}/%{name}

%clean
%{__rm} -rf %{buildroot}

%post project
%update_maven_depmap

%postun project
%update_maven_depmap 

%post -n httpcomponents-core
%update_maven_depmap

%postun -n httpcomponents-core
%update_maven_depmap

%post -n httpcore
%update_maven_depmap

%postun -n httpcore
%update_maven_depmap

%post -n httpcore-ab
%update_maven_depmap

%postun -n httpcore-ab
%update_maven_depmap

%post -n httpcore-nio
%update_maven_depmap

%postun -n httpcore-nio
%update_maven_depmap

%post -n httpcore-osgi
%update_maven_depmap

%postun -n httpcore-osgi
%update_maven_depmap

%post -n httpcomponents-client
%update_maven_depmap

%postun -n httpcomponents-client
%update_maven_depmap

%post -n httpclient
%update_maven_depmap

%postun -n httpclient
%update_maven_depmap

%post -n httpclient-cache
%update_maven_depmap

%postun -n httpclient-cache
%update_maven_depmap

%post -n httpclient-osgi
%update_maven_depmap

%postun -n httpclient-osgi
%update_maven_depmap

%post -n fluent-hc
%update_maven_depmap

%postun -n fluent-hc
%update_maven_depmap

%post -n httpmime
%update_maven_depmap

%postun -n httpmime
%update_maven_depmap

%post -n httpcomponents-asyncclient
%update_maven_depmap

%postun -n httpcomponents-asyncclient
%update_maven_depmap

%post -n httpasyncclient
%update_maven_depmap

%postun -n httpasyncclient
%update_maven_depmap

%post -n httpasyncclient-osgi
%update_maven_depmap

%postun -n httpasyncclient-osgi
%update_maven_depmap

%files project
%defattr(0644,root,root,0755)
%doc KEYS LICENSE.txt NOTICE.txt README.txt jakarta-httpcomponents-charter.txt
%{_javadir}/%{name}-project-%{projectnamedversion}-site.xml
%{_javadir}/%{name}-project-site.xml
%{_mavenpomdir}/JPP-%{name}-project.pom
%{_mavendepmapfragdir}/%{name}-project

%files -n httpcomponents-core
%defattr(0644,root,root,0755)
%{_javadir}/httpcomponents-core-%{httpcorenamedversion}-site.xml
%{_javadir}/httpcomponents-core-site.xml
%{_mavenpomdir}/JPP-httpcomponents-core.pom
%{_mavendepmapfragdir}/httpcomponents-core

%files -n httpcore
%defattr(0644,root,root,0755)
%{_javadir}/httpcore-%{httpcorenamedversion}.jar
%{_javadir}/httpcore.jar
%exclude %{_javadir}/httpcore-%{httpcorenamedversion}-javadoc.jar
%exclude %{_javadir}/httpcore-javadoc.jar
%{_javadir}/httpcore-%{httpcorenamedversion}-sources.jar
%{_javadir}/httpcore-sources.jar
%{_javadir}/httpcore-%{httpcorenamedversion}-site.xml
%{_javadir}/httpcore-site.xml
%{_mavenpomdir}/JPP-httpcore.pom
%{_mavendepmapfragdir}/httpcore

%files -n httpcore-ab
%defattr(0644,root,root,0755)
%{_javadir}/httpcore-ab-%{httpcorenamedversion}.jar
%{_javadir}/httpcore-ab.jar
%exclude %{_javadir}/httpcore-ab-%{httpcorenamedversion}-javadoc.jar
%exclude %{_javadir}/httpcore-ab-javadoc.jar
%{_javadir}/httpcore-ab-%{httpcorenamedversion}-sources.jar
%{_javadir}/httpcore-ab-sources.jar
%{_mavenpomdir}/JPP-httpcore-ab.pom
%{_mavendepmapfragdir}/httpcore-ab

%files -n httpcore-nio
%defattr(0644,root,root,0755)
%{_javadir}/httpcore-nio-%{httpcorenamedversion}.jar
%{_javadir}/httpcore-nio.jar
%exclude %{_javadir}/httpcore-nio-%{httpcorenamedversion}-javadoc.jar
%exclude %{_javadir}/httpcore-nio-javadoc.jar
%{_javadir}/httpcore-nio-%{httpcorenamedversion}-sources.jar
%{_javadir}/httpcore-nio-sources.jar
%{_javadir}/httpcore-nio-%{httpcorenamedversion}-site.xml
%{_javadir}/httpcore-nio-site.xml
%{_mavenpomdir}/JPP-httpcore-nio.pom
%{_mavendepmapfragdir}/httpcore-nio

%files -n httpcore-osgi
%defattr(0644,root,root,0755)
%{_javadir}/httpcore-osgi-%{httpcorenamedversion}.jar
%{_javadir}/httpcore-osgi.jar
%{_javadir}/httpcore-osgi-%{httpcorenamedversion}-sources.jar
%{_javadir}/httpcore-osgi-sources.jar
%{_mavenpomdir}/JPP-httpcore-osgi.pom
%{_mavendepmapfragdir}/httpcore-osgi

%files -n httpcomponents-client
%defattr(0644,root,root,0755)
%{_javadir}/httpcomponents-client-%{httpclientnamedversion}-site.xml
%{_javadir}/httpcomponents-client-site.xml
%{_mavenpomdir}/JPP-httpcomponents-client.pom
%{_mavendepmapfragdir}/httpcomponents-client

%files -n httpclient
%defattr(0644,root,root,0755)
%{_javadir}/httpclient-%{httpclientnamedversion}.jar
%{_javadir}/httpclient.jar
%exclude %{_javadir}/httpclient-%{httpclientnamedversion}-javadoc.jar
%exclude %{_javadir}/httpclient-javadoc.jar
%{_javadir}/httpclient-%{httpclientnamedversion}-sources.jar
%{_javadir}/httpclient-sources.jar
%{_javadir}/httpclient-%{httpclientnamedversion}-site.xml
%{_javadir}/httpclient-site.xml
%exclude %{_javadir}/httpclient-%{httpclientnamedversion}-tests.jar
%exclude %{_javadir}/httpclient-tests.jar
%{_mavenpomdir}/JPP-httpclient.pom
%{_mavendepmapfragdir}/httpclient

%files -n httpclient-cache
%defattr(0644,root,root,0755)
%{_javadir}/httpclient-cache-%{httpclientnamedversion}.jar
%{_javadir}/httpclient-cache.jar
%exclude %{_javadir}/httpclient-cache-%{httpclientnamedversion}-javadoc.jar
%exclude %{_javadir}/httpclient-cache-javadoc.jar
%{_javadir}/httpclient-cache-%{httpclientnamedversion}-sources.jar
%{_javadir}/httpclient-cache-sources.jar
%{_javadir}/httpclient-cache-%{httpclientnamedversion}-site.xml
%{_javadir}/httpclient-cache-site.xml
%{_mavenpomdir}/JPP-httpclient-cache.pom
%{_mavendepmapfragdir}/httpclient-cache

%files -n httpclient-osgi
%defattr(0644,root,root,0755)
%{_javadir}/httpclient-osgi-%{httpclientnamedversion}.jar
%{_javadir}/httpclient-osgi.jar
%{_javadir}/httpclient-osgi-%{httpclientnamedversion}-sources.jar
%{_javadir}/httpclient-osgi-sources.jar
%{_mavenpomdir}/JPP-httpclient-osgi.pom
%{_mavendepmapfragdir}/httpclient-osgi

%files -n httpclient-tests
%defattr(0644,root,root,0755)
%{_javadir}/httpclient-%{httpclientnamedversion}-tests.jar
%{_javadir}/httpclient-tests.jar

%files -n fluent-hc
%defattr(0644,root,root,0755)
%{_javadir}/fluent-hc-%{httpclientnamedversion}.jar
%{_javadir}/fluent-hc.jar
%exclude %{_javadir}/fluent-hc-%{httpclientnamedversion}-javadoc.jar
%exclude %{_javadir}/fluent-hc-javadoc.jar
%{_javadir}/fluent-hc-%{httpclientnamedversion}-sources.jar
%{_javadir}/fluent-hc-sources.jar
%{_javadir}/fluent-hc-%{httpclientnamedversion}-site.xml
%{_javadir}/fluent-hc-site.xml
%{_mavenpomdir}/JPP-fluent-hc.pom
%{_mavendepmapfragdir}/fluent-hc

%files -n httpmime
%defattr(0644,root,root,0755)
%{_javadir}/httpmime-%{httpclientnamedversion}.jar
%{_javadir}/httpmime.jar
%exclude %{_javadir}/httpmime-%{httpclientnamedversion}-javadoc.jar
%exclude %{_javadir}/httpmime-javadoc.jar
%{_javadir}/httpmime-%{httpclientnamedversion}-sources.jar
%{_javadir}/httpmime-sources.jar
%{_javadir}/httpmime-%{httpclientnamedversion}-site.xml
%{_javadir}/httpmime-site.xml
%{_mavenpomdir}/JPP-httpmime.pom
%{_mavendepmapfragdir}/httpmime

%files -n httpcomponents-asyncclient
%defattr(0644,root,root,0755)
%{_javadir}/httpcomponents-asyncclient-%{httpasyncclientnamedversion}-site.xml
%{_javadir}/httpcomponents-asyncclient-site.xml
%{_mavenpomdir}/JPP-httpcomponents-asyncclient.pom
%{_mavendepmapfragdir}/httpcomponents-asyncclient

%files -n httpasyncclient
%defattr(0644,root,root,0755)
%{_javadir}/httpasyncclient-%{httpasyncclientnamedversion}.jar
%{_javadir}/httpasyncclient.jar
%exclude %{_javadir}/httpasyncclient-%{httpasyncclientnamedversion}-javadoc.jar
%exclude %{_javadir}/httpasyncclient-javadoc.jar
%{_javadir}/httpasyncclient-%{httpasyncclientnamedversion}-sources.jar
%{_javadir}/httpasyncclient-sources.jar
%{_javadir}/httpasyncclient-%{httpasyncclientnamedversion}-site.xml
%{_javadir}/httpasyncclient-site.xml
%{_mavenpomdir}/JPP-httpasyncclient.pom
%{_mavendepmapfragdir}/httpasyncclient

%files -n httpasyncclient-osgi
%defattr(0644,root,root,0755)
%{_javadir}/httpasyncclient-osgi-%{httpasyncclientnamedversion}.jar
%{_javadir}/httpasyncclient-osgi.jar
%{_javadir}/httpasyncclient-osgi-%{httpasyncclientnamedversion}-sources.jar
%{_javadir}/httpasyncclient-osgi-sources.jar
%{_mavenpomdir}/JPP-httpasyncclient-osgi.pom
%{_mavendepmapfragdir}/httpasyncclient-osgi

%files javadoc
%defattr(0644,root,root,0755)
%{_javadocdir}/%{name}-%{projectnamedversion}
%{_javadocdir}/%{name}

%changelog
* Wed Jan 08 2014 David Walluck <dwalluck@redhat.com> - 6-9.redhat_1.3
- Rebuild

* Wed Jan 08 2014 David Walluck <dwalluck@redhat.com> - 6-8.redhat_1.3
- Rebuild

* Wed Jan 08 2014 David Walluck <dwalluck@redhat.com> - 6-8.redhat_1.3
- Rebuild

* Wed Jan 08 2014 David Walluck <dwalluck@redhat.com> - 6-8.redhat_1.3
- Rebuild

* Wed Jan 08 2014 David Walluck <dwalluck@redhat.com> - 6-8.redhat_1.3
- Fix version-release-serial generation

* Tue Jan 07 2014 David Walluck <dwalluck@redhat.com>  0:6-8
- fix version and release tags

* Wed Apr 30 2013 Fernando Nasser <fnasser@redhat.com> 0:6-7.redhat_1
- Fix release tag

* Thu Mar 21 2013 David Walluck <dwalluck@redhat.com> 0:6-6
- fix BuildRequires

* Fri Mar 08 2013 David Walluck <dwalluck@redhat.com> 0:6-5
- replace commons-logging by jcl-over-slf4j in poms
- replace requires commons-logging by slf4j
- replace requires commons-codec by apache-commons-codec-eap6

* Fri Mar 01 2013 David Walluck <dwalluck@redhat.com> 0:6-4
- exclude javadoc
- move tests jar to new subpackage

* Fri Mar 01 2013 David Walluck <dwalluck@redhat.com> 0:6-3
- fix release tags

* Fri Mar 01 2013 David Walluck <dwalluck@redhat.com> 0:6-2
- package all built modules
- fix httpcomponents-client Obsoletes and Provides versions

* Thu Feb 28 2013 David Walluck <dwalluck@redhat.com> 0:6-1
- project-6
- httpcore-4.2.1
- httpclient-4.2.1

* Wed Sep 19 2012 Fernando Nasser <fnasser@redhat.com> - 0:5-4_redhat_2
- Rebuild for MD5

* Fri Aug 31 2012 David Walluck <dwalluck@redhat.com> 0:5-3
- rediff vman patch

* Tue Aug 14 2012 Fernando Nasser <fnasser@redhat.com> - 0:5-2_redhat_2.4
- Rebuild unsigned

* Mon Aug 13 2012 Fernando Nasser <fnasser@redhat.com> - 0:5-2_redhat_2.3
- Rebuild unsigned

* Fri Aug 10 2012 Fernando Nasser <fnasser@redhat.com> - 0:5-2_redhat_2.2
- Rebuild unsigned

* Wed Jul 25 2012 Fernando Nasser <fnasser@redhat.com> - 0:5-2_redhat_1.1
- Rebuild using cache signing

* Tue Jul 24 2012 Yong Yang <yyang@redhat.com> 0:5-2
- First mead build

* Tue May 01 2012 David Walluck <dwalluck@redhat.com> 0:5-1
- remove repository info (resolves JBPAPP-8878)

* Wed Apr 04 2012 David Walluck <dwalluck@redhat.com> 0:5-0.3
- improve pom patch (JBPAPP-8599)

* Mon Mar 26 2012 Fernando Nasser <fnasser@redhat.com> - 0:5-0.2_redhat_1.1
- Rebuild using cache signing

* Wed Feb 22 2012 David Walluck <dwalluck@redhat.com> 0:5-0.2
- move repolib to standard location

* Tue Feb 21 2012 David Walluck <dwalluck@redhat.com> 0:5-0.1
- project-5, httpcore-4.1.4, httpclient-4.1.3
- re-diff patches
- move files to %%{_javadir}

* Wed Feb 08 2012 David Walluck <dwalluck@redhat.com> 0:4.1.1-0.8
- replace commons-logging by jcl-over-slf4j

* Mon Oct 24 2011 Lin Gao <lgao@redhat.com> 0:4.1.1-0.7_redhat_1
- change the commons-codec to 1.4-redhat-1

* Fri Sep 23 2011 David Walluck <dwalluck@redhat.com> 0:4.1.1-0.6_redhat_1
- use SVN revision 1034755 of project 4.1.1 as in maven central
- use httpcore and httpclient 4.1.2

* Wed Sep 21 2011 David Walluck <dwalluck@redhat.com> 0:4.1.1-0.5_redhat_1
- fix Provides/Obsoletes
- fix versions
- change to using patch for redhat versions
- add doc for httpclient

* Wed Sep 21 2011 Yong Yang <yyang@redhat.com> 0:4.1.1-0.4_redhat_1
- Bump release number

* Tue Sep 20 2011 Yong Yang <yyang@redhat.com> 0:4.1.1-0.3_redhat_1
- Build for werewolf

* Wed Aug 03 2011 Weinan Li <weli@redhat.com> 0:4.1.1-0.2
- Fix the incorrect httpcore version requirement for package project

* Mon Aug 01 2011 David Walluck <dwalluck@redhat.com> 0:4.1.1-0.1
- release
